"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveAlias = exports.resolveFinalConfig = void 0;
const path_1 = __importDefault(require("path"));
const resolveFinalConfig = (config) => {
    const finalConfig = {
        vscode: true,
        alias: [],
    };
    if (config) {
        finalConfig.vscode = config.vscode === undefined ? true : config.vscode;
        finalConfig.alias = config.alias || [];
    }
    return finalConfig;
};
exports.resolveFinalConfig = resolveFinalConfig;
const resolveAlias = (alias, dir, importDec) => {
    for (const { find, replacement } of alias) {
        if (importDec.source.value.startsWith(find)) {
            const replaced = importDec.source.value.replace(find, replacement);
            if (path_1.default.isAbsolute(replaced)) {
                return importDec.source.value.replace(find, replacement);
            }
            else {
                return path_1.default.resolve(dir, replaced);
            }
        }
    }
    return path_1.default.resolve(dir, importDec.source.value);
};
exports.resolveAlias = resolveAlias;
